Semantic Search
Perform a semantic search over indexed document chunks using a query string. Returns the top-k most relevant chunks by cosine similarity with optional filters for timestamp, source metadata, entity type, utility score, and sentiment score.
Semantic Search › Request Body
queryThe semantic search query string.
top_kNumber of results to return.
Filter for results >= this ISO 8601 timestamp.
Filter for results <= this ISO 8601 timestamp.
Filter results for cosine similarity >= this value.
Optional exact-match source metadata filters. Each filter specifies a supported source_metadata key and include_any / exclude_any values.
Optional overlap filter for chunk entity types. Returns chunks containing at least one requested entity type.
Filter results for utility_score >= this value.
Filter results for sentiment_score >= this value. Mutually exclusive with sentiment_score_le.
Filter results for sentiment_score <= this value. Mutually exclusive with sentiment_score_ge.
Semantic Search › Responses
Successful Response
cosine_similarityCosine similarity score between the query and the chunk embedding.
idUnique identifier for the chunk.
timestampSystem timestamp.
document_idIdentifier of the source document.
Title of the source document, if available.
contentContent of the chunk.
canonical_entity_namesCanonical entity names associated with the chunk.
utility_scoreUtility score of the chunk between 0.0 and 1.0.
sentiment_scoreSentiment score of the chunk between -1.0 and 1.0.
Source information.
Semantic Search Multi
Perform semantic search across multiple queries in one request. Results are flattened, deduplicated, and returned in a single ranked list. Benefits (vs just making multiple semantic_search calls): 1. simpler client implementation, 2. smarter strategies for deduplication and ranking, 3. cheaper as duplicates arent charged.
Semantic Search Multi › Request Body
queriesList of semantic search queries.
total_top_kBest-effort target number of results to return after flattening and deduplication.
Filter for results >= this ISO 8601 timestamp.
Filter for results <= this ISO 8601 timestamp.
Filter results for cosine similarity >= this value.
Optional exact-match source metadata filters. Each filter specifies a supported source_metadata key and include_any / exclude_any values.
Optional overlap filter for chunk entity types. Returns chunks containing at least one requested entity type.
Filter results for utility_score >= this value.
Filter results for sentiment_score >= this value. Mutually exclusive with sentiment_score_le.
Filter results for sentiment_score <= this value. Mutually exclusive with sentiment_score_ge.
strategyRanking strategy for consolidating results across queries. Final output is always ordered by cosine_similarity. - 'cosine_similarity': rank purely by cosine similarity. - 'round_robin': interleave results from each query in a round-robin fashion to promote diversity across queries. - 'rank_sum': assign a score to each chunk based on its rank in each query's results and sum these scores across queries, promotes duplicates.
Semantic Search Multi › Responses
Successful Response
cosine_similarityCosine similarity score between the query and the chunk embedding.
idUnique identifier for the chunk.
timestampSystem timestamp.
document_idIdentifier of the source document.
Title of the source document, if available.
contentContent of the chunk.
canonical_entity_namesCanonical entity names associated with the chunk.
utility_scoreUtility score of the chunk between 0.0 and 1.0.
sentiment_scoreSentiment score of the chunk between -1.0 and 1.0.
Source information.
Identify Stakeholders
Identify key stakeholders relevant to a given query, with optional context and instructions to guide the identification process.
Identify Stakeholders › Request Body
queryThe query / subject for which to identify stakeholders for.
Optional additional context to help identify stakeholders.
Optional additional instructions to guide stakeholder identification.
Filter for results >= this ISO 8601 timestamp.
Filter for results <= this ISO 8601 timestamp.
Identify Stakeholders › Responses
Successful Response
List of identified stakeholders with their impact details.
Factor matrix providing scoring for each stakeholder across defined factors.
Search Developments
Search for developments semantically (or not). Various filters available: timestamp, development type, stakeholder impact, and more.
Search Developments › Request Body
Semantic search query. If None, retrieves all developments matching the filters.
Filter for results >= this ISO 8601 timestamp. None means realtime mode.
Filter for results <= this ISO 8601 timestamp. None means realtime mode.
Filter for occurrence_timestamp >= this ISO 8601 timestamp. None means no limit.
Filter for occurrence_timestamp <= this ISO 8601 timestamp. None means no limit.
Filter by development type.
Filter by stakeholder symbol.
Minimum impact score filter in [-1, 1]. If both min and max are provided, matching is directional OR (impact >= min OR impact <= max).
Maximum impact score filter in [-1, 1]. If both min and max are provided, matching is directional OR (impact >= min OR impact <= max).
Minimum importance score in [0, 1].
Minimum surprise score in [0, 1].
Minimum confidence score in [0, 1].
limitMaximum number of results to return.
Search Developments › Responses
Successful Response
development_idLogical identifier for the development across updates.
timestampCanonical backtest system timestamp of this development version.
source_timestampMost recent timestamp of any source used for the development.
occurrence_timestampActual (estimate of) real world time that the development took place.
occurrence_timestamp_confidence_scoreConfidence score in estimate of occurrence_timestamp.
nameName of the development.
descriptionDescription of the development.
development_typeType of the development.
occurrence_statusStatus of the real world occurrence.
rationaleExplanation for all decisions made.
List of involved stakeholders and their impacts.
importance_scoreLLM heuristic of general development importance.
surprise_scoreLLM heuristic of how surprising the development is to the market.
confidence_scoreLLM heuristic of its confidence in everything it presents.
List of events this development is associated with, resolved to their most recent known state.
List of sources used for this development.
Retrieve Development
Retrieve a specific development by its ID.
Retrieve Development › Request Body
development_idThe ID of the development to retrieve.
Filter for results <= this ISO 8601 timestamp. None means realtime mode.
Retrieve Development › Responses
Successful Response
development_idLogical identifier for the development across updates.
timestampCanonical backtest system timestamp of this development version.
source_timestampMost recent timestamp of any source used for the development.
occurrence_timestampActual (estimate of) real world time that the development took place.
occurrence_timestamp_confidence_scoreConfidence score in estimate of occurrence_timestamp.
nameName of the development.
descriptionDescription of the development.
development_typeType of the development.
occurrence_statusStatus of the real world occurrence.
rationaleExplanation for all decisions made.
List of involved stakeholders and their impacts.
importance_scoreLLM heuristic of general development importance.
surprise_scoreLLM heuristic of how surprising the development is to the market.
confidence_scoreLLM heuristic of its confidence in everything it presents.
List of events this development is associated with, resolved to their most recent known state.
List of sources used for this development.
Retrieve Event Developments
Retrieve all developments associated with a known event_id. Filters for timestamp and occurrence are available. Track and understand the full event lifecycle through its developments.
Retrieve Event Developments › Request Body
event_idThe event_id to retrieve developments for.
Filter developments with timestamp >= this ISO 8601 timestamp. None means no lower bound.
Filter developments with timestamp <= this ISO 8601 timestamp. None means realtime mode.
limitMaximum number of developments to return, ordered by occurrence_timestamp descending.
include_future_developmentsWhether to include developments whose occurrence_timestamp is in the future (relative to end_timestamp, or current time if end_timestamp is None). Set to False to restrict results to developments that have already occurred.
Retrieve Event Developments › Responses
Successful Response
event_idLogical identifier for the event.
nameName of the event.
descriptionDescription of the event.
event_typeType of the event.
Developments associated with this event, ordered by occurrence_timestamp descending (real-world timeline).
Search Events
Search for events semantically (or not). Various filters available: timestamp, occurrence, event type and more.
Search Events › Request Body
Semantic search query over event descriptions. If None, returns events ordered by recency of event creation.
Filter for events with development activity >= this ISO 8601 timestamp.
Filter for events with development activity <= this ISO 8601 timestamp. None means realtime mode.
Filter by event type.
limitMaximum number of events to return.
developments_per_eventNumber of most recent developments to embed per event result, ordered by occurrence_timestamp descending.
include_future_developmentsWhether to include developments whose occurrence_timestamp is in the future (relative to end_timestamp, or current time if end_timestamp is None) in the embedded per-event development list. Set to False to restrict to already-occurred developments.
Search Events › Responses
Successful Response
event_idLogical identifier for the event.
nameName of the event.
descriptionDescription of the event.
event_typeType of the event.
Most recent developments for this event (count controlled by developments_per_event param), ordered by occurrence_timestamp descending.